1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

plz need help pn gta lcs

Discussion in 'Sony Handhelds' started by amora1993, Jun 22, 2007.

  1. amora1993

    amora1993 Member

    Joined:
    Jun 22, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    helooo everybody in new and iv got psp 1004 3.03 and iv got most wanted and gta lcs plz can play them on my psp thx
     
  2. Dinner

    Dinner Regular member

    Joined:
    Dec 30, 2005
    Messages:
    284
    Likes Received:
    0
    Trophy Points:
    26
    I didn't understand very much.

    You have 3.03 on your PSP and you are wondering if you can play
    'GTA Liberty City' and 'NFS Most wanted'?

    Downloaded or UMD disc?
    If downloaded: No
    If UMD disc: Yes
     
  3. okthen12

    okthen12 Guest

    ok dude lol (thanks Dinner for translating).
    You can downgrade your psp using the 3.03 downgrader by Noobz.

    Im a noob at giving links so if that dosnt work copy and paste this into your browser.
    http://www.pspfanboy.com/2007/01/28/3-03-downgrader-released-yay/

    Follow this very carefully and hopefully you will have a 1.5 PSP.
     

Share This Page